<html>
  <!-- Generated by makefile do not edit -->
  <body>
   <b>Visualisation of a barycenter:</b>
   <div>This corresponds to a <a target='_blank' href='../ScalarField.html'>ScalarField</a> symboling object barycenter.</div>
   <ul style='padding-left:50px;'>
     <li><a href='#type'>Data type</a></li>
     <li><a href='#field'>Field value</a></li>
     <li><a href='#barycenter'>Barycenter</a></li>
     <li><a href='#log'>Log</a></li>
   </ul><hr/>
<hr/><div id='type' style='padding-left:20px;'><b>Field type</b><div style='background-color:light-gray;'>
<style>.wjson {background-color: lightgray; font-weight:bold; display: inline-block; padding:10px; } .wjson .name { font-weight: normal; color: red;} .wjson .value { font-weight: normal; color: green;}</style><div class='wjson'>[<br/>&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>type</span>: <span class='value'>string</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>name</span>: <span class='value'>word</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>atomic</span>: <span class='value'>false</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>bounds</span>: [ <span class='value'>zizou</span> <span class='value'>albert</span> <span class='value'>martinale</span> ]<br/>&nbsp;&nbsp;}<br/>&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>type</span>: <span class='value'>numeric</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>name</span>: <span class='value'>number</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>min</span>: <span class='value'>0</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>max</span>: <span class='value'>32</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>precision</span>: <span class='value'>1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>atomic</span>: <span class='value'>false</span><br/>&nbsp;&nbsp;}<br/>&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>type</span>: <span class='value'>record</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>name</span>: <span class='value'>data</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>required</span>: [ <span class='value'>word</span> <span class='value'>number</span> ]<br/>&nbsp;&nbsp;}<br/>]</div>
</div></div>
<hr/><div id='field' style='padding-left:20px;'><b>Field</b><div style='background-color:light-gray;'>
<style>.wjson {background-color: lightgray; font-weight:bold; display: inline-block; padding:10px; } .wjson .name { font-weight: normal; color: red;} .wjson .value { font-weight: normal; color: green;}</style><div class='wjson'>{<br/>&nbsp;&nbsp;<span class='name'>type</span>: <span class='value'>data</span><br/>&nbsp;&nbsp;<span class='name'>verbose</span>: <span class='value'>true</span><br/>&nbsp;&nbsp;<span class='name'>points</span>: [<br/>&nbsp;&nbsp;&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>input</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>word</span>: <span class='value'>mama</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>number</span>: <span class='value'>10</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>output</span>: <span class='value'>1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>input</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>word</span>: <span class='value'>mapy</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>number</span>: <span class='value'>15</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>output</span>: <span class='value'>2</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;{<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>input</span>: {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>word</span>: <span class='value'>papy</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>number</span>: <span class='value'>20</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class='name'>output</span>: <span class='value'>1</span><br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;]<br/>}</div>
</div></div>
<hr/><div id='barycenter' style='padding-left:20px;'><b>Barycenter</b><div style='background-color:light-gray;'>
<style>.wjson {background-color: lightgray; font-weight:bold; display: inline-block; padding:10px; } .wjson .name { font-weight: normal; color: red;} .wjson .value { font-weight: normal; color: green;}</style><div class='wjson'>{<br/>&nbsp;&nbsp;<span class='name'>word</span>: <span class='value'>papy</span><br/>&nbsp;&nbsp;<span class='name'>number</span>: <span class='value'>14</span><br/>}</div>
</div></div>
<hr/><div id='log' style='padding-left:20px;'><b>Log</b><pre style='border:1px;'>
Adding type 'value' implemented as 'value'
Adding type 'list' implemented as 'ListType'
Adding type 'modal' implemented as 'ModalType'
Adding type 'numeric' implemented as 'NumericType'
Adding type 'record' implemented as 'RecordType'
Adding type 'string' implemented as 'StringType'
Adding type 'enum' implemented as 'EnumType'
Adding type 'set' implemented as 'SetType'
Adding from json type '{ type: string name: word atomic: false bounds: [ zizou albert martinale ] }' from type parent 'string'
Adding from json type '{ type: numeric name: number min: 0 max: 32 precision: 1 atomic: false }' from type parent 'numeric'
Adding from json type '{ type: record name: data required: [ word number ] }' from type parent 'record'
ScalarField::getBarycenter: #3
	 '{ word: papy number: 20 }': 0.250000
	 '{ word: mapy number: 15 }': 0.500000
	 '{ word: mama number: 10 }': 0.250000
ScalarField::getBarycenter: #2
	 '{ word: papy number: 16 }': 0.750000
	 '{ word: mama number: 10 }': 0.250000
ScalarField::getBarycenter: #1
	 '{ word: papy number: 14 }': 1.000000
</pre></div>
<hr/></body></html>
